@import '../variables/break-point';

@mixin mobile {
  /* @media only screen and (min-width: $break-mobile) and (max-width: $break-tablet - 1px) {
    @content;
  } */

  /* Hotfix: Apply luôn cả sm-mobile và tablet */
  @media only screen and (max-width: $break-desktop - 1px) {
    @content;
  }
}

@mixin tablet {
  @media only screen and (min-width: $break-tablet) and (max-width: $break-desktop - 1px) {
    @content;
  }
}

/* Trừ bớt phần scrollbar(Windows: 17px, Mac: 15px) */
@mixin desktop {
  @media only screen and (min-width: $break-desktop) {
    @content;
  }
}
